pkcs11-helper-1.07-5.el6.x86_64.rpm


Advertisement

Description

pkcs11-helper - A library for using PKCS#11 providers

Property Value
Distribution CentOS 6
Repository NauLinux School x86_64
Package name pkcs11-helper
Package version 1.07
Package release 5.el6
Package architecture x86_64
Package type rpm
Installed size 130.28 KB
Download size 50.27 KB
Official Mirror downloads.naulinux.ru
pkcs11-helper is a library that simplifies the interaction with PKCS#11
providers for end-user applications using a simple API and optional OpenSSL
engine. The library allows using multiple PKCS#11 providers at the same time,
enumerating available token certificates, or selecting a certificate directly
by serialized id, handling card removal and card insert events, handling card
re-insert to a different slot, supporting session expiration and much more all
using a simple API.

Alternatives

Package Version Architecture Repository
pkcs11-helper-1.11-3.el6.i686.rpm 1.11 i686 EPEL
pkcs11-helper-1.11-3.el6.i686.rpm 1.11 i686 EPEL
pkcs11-helper-1.11-3.el6.x86_64.rpm 1.11 x86_64 EPEL
pkcs11-helper-1.08-1.el6.rf.i686.rpm 1.08 i686 Repoforge (RPMforge)
pkcs11-helper-1.08-1.el6.rf.x86_64.rpm 1.08 x86_64 Repoforge (RPMforge)
pkcs11-helper-1.07-5.puias6.i686.rpm 1.07 i686 PUIAS Unsupported
pkcs11-helper-1.07-5.puias6.x86_64.rpm 1.07 x86_64 PUIAS Unsupported
pkcs11-helper-1.07-5.el6.art.i686.rpm 1.07 i686 Atomic
pkcs11-helper-1.07-5.el6.art.x86_64.rpm 1.07 x86_64 Atomic
pkcs11-helper-1.07-5.el6.i686.rpm 1.07 i686 NauLinux School
pkcs11-helper - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.7)(64bit) -
libcrypto.so.10()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libz.so.1()(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
libpkcs11-helper.so.1()(64bit) -
pkcs11-helper = 1.07-5.el6
pkcs11-helper(x86-64) = 1.07-5.el6

Download

Type URL
Binary Package pkcs11-helper-1.07-5.el6.x86_64.rpm
Source Package pkcs11-helper-1.07-5.el6.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/naulinux-school.repo:
    [naulinux-school]
    name=NauLinux School
    baseurl=http://downloads.naulinux.ru/pub/NauLinux/6.2/$basearch/sites/School/RPMS/
    enabled=0
    gpgcheck=1
    gpgkey=http://downloads.naulinux.ru/pub/NauLinux/RPM-GPG-KEY-linux-ink
    
  2. Install pkcs11-helper rpm package:
    # yum --enablerepo=naulinux-school install pkcs11-helper

Files

Path
/usr/lib64/libpkcs11-helper.so.1
/usr/lib64/libpkcs11-helper.so.1.0.0
/usr/share/doc/pkcs11-helper-1.07/AUTHORS
/usr/share/doc/pkcs11-helper-1.07/COPYING
/usr/share/doc/pkcs11-helper-1.07/COPYING.BSD
/usr/share/doc/pkcs11-helper-1.07/COPYING.GPL
/usr/share/doc/pkcs11-helper-1.07/ChangeLog
/usr/share/doc/pkcs11-helper-1.07/README
/usr/share/doc/pkcs11-helper-1.07/THANKS

Changelog

2010-07-01 - Kalev Lember <kalev@smartlink.ee> - 1.07-5
- use System Environment/Libraries group for main package
- removed R: pkgconfig from devel subpackage
2009-08-21 - Tomas Mraz <tmraz@redhat.com> - 1.07-4
- rebuilt with new openssl
2009-07-26 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
2009-07-11 - Kalev Lember <kalev@smartlink.ee> - 1.07-2
- Make devel package depend on automake for /usr/share/aclocal
2009-06-23 - Kalev Lember <kalev@smartlink.ee> - 1.07-1
- Initial RPM release.

See Also

Package Description
pkcs11-helper-devel-1.07-5.el6.x86_64.rpm Development files for pkcs11-helper
podofo-0.8.1-2.el6.x86_64.rpm Tools and libraries to work with the PDF file format
podofo-devel-0.8.1-2.el6.x86_64.rpm Development files for podofo library
podofo-libs-0.8.1-2.el6.x86_64.rpm Runtime library for podofo
portaudio-19-9.el6.x86_64.rpm Free, cross platform, open-source, audio I/O library
portaudio-devel-19-9.el6.x86_64.rpm Development files for the portaudio audio I/O library
python-empy-3.3-5.el6.noarch.rpm A powerful and robust template system for Python
python-lash-0.5.4-9.el6.x86_64.rpm Python wrapper for LASH
python-mwclient-0.6.5-1.el6.noarch.rpm Mwclient is a client to the MediaWiki API
qhull-2010.1-1.el6.x86_64.rpm General dimension convex hull programs
qhull-devel-2010.1-1.el6.x86_64.rpm Development files for qhull
qrupdate-1.1.1-1.el6.x86_64.rpm A Fortran library for fast updates of QR and Cholesky decompositions
qrupdate-devel-1.1.1-1.el6.x86_64.rpm Development libraries for qrupdate
qt-mobility-1.1.3-2.el6.x86_64.rpm Qt Mobility Framework
qt-mobility-devel-1.1.3-2.el6.x86_64.rpm Qt Mobility Framework development files
Advertisement
Advertisement